/***************************************************************************
 *
 * Copyright (c) 2000, 2001 BalaBit IT Ltd, Budapest, Hungary
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: ctrouter.h,v 1.1.2.2 2001/09/19 19:22:17 bazsi Exp $
 *
 ***************************************************************************/

#ifndef ZORP_CTROUTER_H_INCLUDED
#define ZORP_CTROUTER_H_INCLUDED

#include <zorp/packsock.h>

typedef void (*ZCtrackCallback)(gpointer s, ZPacket *);

typedef struct _ZCTRouter
{
  ZSockAddr *local;  // FIXMEE: Unused.
} ZCTRouter;

ZCTRouter *z_conntrack_router_new(void);

void z_conntrack_router_start(gpointer s);

gboolean z_conntrack_router_newfd(ZCTRouter *self, int fd);
gboolean z_conntrack_router_newfd_with_data(ZCTRouter *self, int fd, gpointer user_data);

void z_conntrack_router_remove_fd(ZCTRouter *s, int fd);

gboolean z_conntrack_router_sethandler(ZCTRouter *self, gpointer user_data);

#endif
